import org.eclipse.draw2d.*;
import org.eclipse.draw2d.geometry.*;

public class MyLabelAnchor extends AbstractConnectionAnchor{
	
	private IFigure target;
	
	public MyLabelAnchor(Label label){
		super(label);
		
	}
	
	public Point getLocation(Point p){
		Rectangle label_rect = getOwner().getBounds();
		Rectangle box_rect = getOwner().getParent().getBounds();
		
		Point p2 = new Point(box_rect.x+box_rect.width, label_rect.y + label_rect.height/2);
		
		if (target!=null){
			
			Rectangle target_rect = target.getBounds();
			
			if (target_rect.x<box_rect.x+box_rect.width) p2.x = box_rect.x;
			
		}
		
		getOwner().translateToAbsolute(p2);
		return p2;
		
	}
	
	public void setTarget(IFigure target){
		this.target = target;
	}
}
