import org.eclipse.draw2d.*;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.Rectangle;

public class UMLClassFigure extends Figure {
  //public static Color classColor = new Color(null,255,255,206);
	//public static Color classColor = new Color(null,123,170,231);
  private CompartmentFigure attributeFigure = new CompartmentFigure();
  private CompartmentFigure methodFigure = new CompartmentFigure();
  public UMLClassFigure(Label name) {  
    ToolbarLayout layout = new ToolbarLayout();
    setLayoutManager(layout);	
    setBorder(new LineBorder(ColorConstants.black,1));
    setBackgroundColor(ColorConstants.white);
    setOpaque(true);
	
    name.setOpaque(true);
    name.setBackgroundColor(new Color(null,123,170,231));
    
    add(name);	
    add(attributeFigure);    
    add(methodFigure);
  }
  public CompartmentFigure getAttributesCompartment() {
    return attributeFigure;
  }
  public CompartmentFigure getMethodsCompartment() {
    return methodFigure;
  }  
}