import org.eclipse.draw2d.*;
import org.eclipse.draw2d.geometry.Rectangle;

public class ContainerFigure extends Figure{
	
	private IFigure pane; 

	public ContainerFigure() {	
		ScrollPane scrollpane = new ScrollPane();
		
		pane = new FreeformLayer();
		pane.setLayoutManager(new FreeformLayout());
		setLayoutManager(new StackLayout());	
		add(scrollpane);
		scrollpane.setViewport(new FreeformViewport());
		scrollpane.setView(pane);		
	}
	
	public IFigure getContentsPane(){
		return pane;
	}
}
